For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Convert text into natural-sounding speech using Deepgram’s TTS REST API
Authentication
AuthorizationToken
Use Authorization: Token <API_KEY>
Example: Authorization: Token 12345abcdef
OR
AuthorizationBearer
Use Authorization: Bearer <JWT>
Example: Authorization: Bearer eyJhbGciOiJ...
Query parameters
callbackstringOptional
URL to which we'll make the callback request
callback_methodenumOptionalDefaults to POST
HTTP method by which the callback request will be made
Allowed values:
mip_opt_outbooleanOptionalDefaults to false
Opts out requests from the Deepgram Model Improvement Program. Refer to our Docs for pricing impacts before setting this to true. https://dpgr.am/deepgram-mip
tagstring or list of stringsOptional
Label your requests for the purpose of identification during usage reporting
bit_rateenum or doubleOptional
The bitrate of the audio in bits per second. Choose from predefined ranges or specific values based on the encoding type.
containerenumOptional
Container specifies the file format wrapper for the output audio. The available options depend on the encoding type.
encodingenumOptional
Encoding allows you to specify the expected encoding of your audio output
modelenumOptionalDefaults to aura-asteria-en
AI model used to process submitted text
sample_rateenumOptional
Sample Rate specifies the sample rate for the output audio. Based on the encoding, different sample rates are supported. For some encodings, the sample rate is not configurable
speeddoubleOptional0.7-1.5Defaults to 1
Speaking rate multiplier that adjusts the pace of generated speech while preserving natural prosody and voice quality. Not yet supported in all languages.
Request
Transform text to speech
textstringRequired
The text content to be converted to speech
Response
Successful text-to-speech transformation
Errors
400
Bad Request Error
Opts out requests from the Deepgram Model Improvement Program. Refer to our Docs for pricing impacts before setting this to true. https://dpgr.am/deepgram-mip